diff --git a/scripts/pkgdelta.sh.in b/scripts/pkgdelta.sh.in
index da5d7c9..cebc3f4 100644
--- a/scripts/pkgdelta.sh.in
+++ b/scripts/pkgdelta.sh.in
@@ -194,7 +194,7 @@ fi
for i in "${args[@]}"; do
if [[ ! -f $i ]]; then
error "$(gettext "File '%s' does not exist")" "$i"
- exit 0
+ exit 1
fi
done
--
1.7.9.6
04-07-2012, 12:28 PM
Florian Pritz
pkgdelta: exit 1 upon error
This has been 0 since 9fa18d9a4b4ce5217842c71d8a45676e3fb9d3f4, but it
doesn't makes sense because we are raising an error.
diff --git a/scripts/pkgdelta.sh.in b/scripts/pkgdelta.sh.in
index f76d1ca..bae2ef8 100644
--- a/scripts/pkgdelta.sh.in
+++ b/scripts/pkgdelta.sh.in
@@ -195,7 +195,7 @@ fi
for i in "${args[@]}"; do
if [[ ! -f $i ]]; then
error "$(gettext "File '%s' does not exist")" "$i"
- exit 0
+ exit 1
fi
done